Bug 474412 - Review Request: giver - A simple file sharing desktop application
Review Request: giver - A simple file sharing desktop application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 13:29 EST by Tom "spot" Callaway
Modified: 2009-02-04 21:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)
Spec file builddeps fixed (2.46 KB, application/octet-stream)
2008-12-22 15:20 EST, Luis Nabais
no flags Details
failed build log when using the spec file from https://bugzilla.redhat.com/attachment.cgi?id=327687 (21.14 KB, application/octet-stream)
2008-12-30 18:14 EST, manuel wolfshant
no flags Details

  None (edit)
Description Tom "spot" Callaway 2008-12-03 13:29:28 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/giver.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/giver-0.1.8-1.fc11.src.rpm
Description: 
Giver is a simple file sharing desktop application. Other people running Giver 
on your network are automatically discovered and you can send files to them by 
simply dragging the files to their photo or icon shown in Giver. There is no 
knowledge or set up needed beyond what the person looks like or their name to 
use Giver.
Comment 1 CA G Rajesh 2008-12-16 08:32:37 EST
Yes. This is an excellent utility. Saves much of time, from configuring nfs for simple file sharing. Needs no much complex knowledge. Somebody take this project, please. If possible, port it to Fedora 10 also
Comment 2 manuel wolfshant 2008-12-16 18:39:06 EST
koji build fails: http://koji.fedoraproject.org/koji/taskinfo?taskID=1002390

in my local mock (building for rawhide, too), I got:
checking for intltool >= 0.35... 0.35.5 found
checking for perl... /usr/bin/perl
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool
error: Bad exit status from /var/tmp/rpm-tmp.tD6hvi (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.tD6hvi (%build)
EXCEPTION: Command failed. See logs for output.
 # bash -l -c 'rpmbuild -bb --target x86_64 --nodeps //builddir/build/SPECS/giver.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 286, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), ret)
Error: Command failed. See logs for output.
 # bash -l -c 'rpmbuild -bb --target x86_64 --nodeps //builddir/build/SPECS/giver.spec'
LEAVE do --> EXCEPTION RAISED
Comment 3 Luis Nabais 2008-12-22 15:20:11 EST
Created attachment 327687 [details]
Spec file builddeps fixed

Updated giver spec file to fix missing perl-XML-Parser build dependency
Comment 4 manuel wolfshant 2008-12-30 18:14:43 EST
Created attachment 327981 [details]
failed build log when using the spec file from https://bugzilla.redhat.com/attachment.cgi?id=327687

I've given a try with the new spec. On PPC it fails due to some missing BR: http://koji.fedoraproject.org/koji/getfile?taskID=1027119&name=root.log

On my local system, mock build for devel/x86_64 failed as in the attached log.

as a sidenote, the presence of the po directory make me think that gettext is also a BR.
Comment 5 Tom "spot" Callaway 2009-01-05 16:53:45 EST
So, there were a few potholes on the road for giver:

1. I forgot to ExcludeArch: ppc64 sparc64... they don't have mono packages.

2. The missing perl-XML-Parser dependency. I fixed that up in -2 (I did it a bit differently than Luis did, because this is a perl dependency)

3. Missing BuildRequires: intltool (fixed in -2).

4. notify-sharp was never built successfully for F-9, not due to any fault of its own, but due to buildsystem issues happening at the time the original maintainer tried to build it. I've successfully built it for F-9, and submitted it as an update:
https://admin.fedoraproject.org/updates/notify-sharp-0.4.0-0.5.20080912svn.fc9

Once that gets pushed, giver should build properly on F-9.

New Spec URL: http://www.auroralinux.org/people/spot/review/new/giver.spec
New SRPM URL:
http://www.auroralinux.org/people/spot/review/new/giver-0.1.8-2.fc11.src.rpm

F-10 Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1033908
Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1033908
Comment 6 manuel wolfshant 2009-01-31 21:25:02 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:
giver.x86_64: E: no-binary
giver.x86_64: E: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 0 warnings.
=> rpmlint is obviously wrong here, I'll dig later why
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 969e794f61a7ef94396a830b1fa623b93679c8c3  giver-0.1.8.tar.gz
 [x] Package is known to require ExcludeArch
     Arches excluded: ppc64 sparc64
     Why: No mono implementation for ppc64 or sparc64 right now
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.



=== Final Notes ===
1. Duplicate BuildRequires: mono-core (by avahi-sharp), perl(XML::Parser) (by intltool)
=>Not a blocker.

================
*** APPROVED ***
================
Comment 7 Tom "spot" Callaway 2009-02-02 16:40:01 EST
New Package CVS Request
=======================
Package Name: giver
Short Description: A simple file sharing desktop application
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 8 Fedora Update System 2009-02-04 21:10:32 EST
giver-0.1.8-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-02-04 21:22:58 EST
giver-0.1.8-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.